Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I have (manually downloaded and extracted) both jdk 1.7 32 and 64 bit in two folders.

I want chrome to run applets with jdk1.7 32 bit unfortunately it keeps asking me to install java plugin when i access a test page such as:

http://www.java.com/en/download/installed.jsp?detect=jre

the way I point to jdk 1.7 32 bit is as following:

/opt/google/chrome/plugins/libnpjp2.so -> /home/myuser/dev/jdk1.7.0-32/jre/lib/i386/libnpjp2.so

note when i run this java it looks fine:

e$ /home/myuser/dev/jdk1.7.0-32/bin/java -version java version "1.7.0_25" Java(TM) SE Runtime Environment (build 1.7.0_25-b15) Java HotSpot(TM) Server VM (build 23.25-b01, mixed mode)

if i run chrome with 64 bit java plugin it runs applets well (does not need to install java plugin)

see:

/opt/google/chrome/plugins/libnpjp2.so -> /home/myuser/dev/jdk1.7.0/jre/lib/amd64/libnpjp2.so

can anyone guide me through having chrome run well with jre 1.7 32 bit plugin?

thanks!

share|improve this question

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.